windowsInformationProtectionPolicies のリスト
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windowsInformationProtectionPolicy オブジェクトのプロパティとリレーションシップをリストします。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementApps.Read.All,DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementApps.Read.All,DeviceManagementApps.ReadWrite.All |
HTTP 要求
GET /deviceAppManagement/windowsInformationProtectionPolicies
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文で windowsInformationProtectionPolicy オブジェクトのコレクションを返します。
例
要求
以下は、要求の例です。
GET https://graph.microsoft.com/v1.0/deviceAppManagement/windowsInformationProtectionPolicies
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 5048
{
"value": [
{
"@odata.type": "#microsoft.graph.windowsInformationProtectionPolicy",
"displayName": "Display Name value",
"description": "Description value",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"id": "6397be61-be61-6397-61be-976361be9763",
"version": "Version value",
"enforcementLevel": "encryptAndAuditOnly",
"enterpriseDomain": "Enterprise Domain value",
"enterpriseProtectedDomainNames": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"protectionUnderLockConfigRequired": true,
"dataRecoveryCertificate": {
"@odata.type": "microsoft.graph.windowsInformationProtectionDataRecoveryCertificate",
"subjectName": "Subject Name value",
"description": "Description value",
"expirationDateTime": "2016-12-31T23:57:57.2481234-08:00",
"certificate": "Y2VydGlmaWNhdGU="
},
"revokeOnUnenrollDisabled": true,
"rightsManagementServicesTemplateId": "abf7b16f-b16f-abf7-6fb1-f7ab6fb1f7ab",
"azureRightsManagementServicesAllowed": true,
"iconsVisible": true,
"protectedApps": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionStoreApp",
"displayName": "Display Name value",
"description": "Description value",
"publisherName": "Publisher Name value",
"productName": "Product Name value",
"denied": true
}
],
"exemptApps": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionStoreApp",
"displayName": "Display Name value",
"description": "Description value",
"publisherName": "Publisher Name value",
"productName": "Product Name value",
"denied": true
}
],
"enterpriseNetworkDomainNames": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseProxiedDomains": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionProxiedDomainCollection",
"displayName": "Display Name value",
"proxiedDomains": [
{
"@odata.type": "microsoft.graph.proxiedDomain",
"ipAddressOrFQDN": "Ip Address Or FQDN value",
"proxy": "Proxy value"
}
]
}
],
"enterpriseIPRanges": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionIPRangeCollection",
"displayName": "Display Name value",
"ranges": [
{
"@odata.type": "microsoft.graph.ipRange"
}
]
}
],
"enterpriseIPRangesAreAuthoritative": true,
"enterpriseProxyServers": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseInternalProxyServers": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"enterpriseProxyServersAreAuthoritative": true,
"neutralDomainResources": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"indexingEncryptedStoresOrItemsBlocked": true,
"smbAutoEncryptedFileExtensions": [
{
"@odata.type": "microsoft.graph.windowsInformationProtectionResourceCollection",
"displayName": "Display Name value",
"resources": [
"Resources value"
]
}
],
"isAssigned": true,
"revokeOnMdmHandoffDisabled": true,
"mdmEnrollmentUrl": "https://example.com/mdmEnrollmentUrl/",
"windowsHelloForBusinessBlocked": true,
"pinMinimumLength": 0,
"pinUppercaseLetters": "requireAtLeastOne",
"pinLowercaseLetters": "requireAtLeastOne",
"pinSpecialCharacters": "requireAtLeastOne",
"pinExpirationDays": 1,
"numberOfPastPinsRemembered": 10,
"passwordMaximumAttemptCount": 11,
"minutesOfInactivityBeforeDeviceLock": 3,
"daysWithoutContactBeforeUnenroll": 0
}
]
}
フィードバック
フィードバックの送信と表示